/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/goal-copy.xml');

  EXCEPTION  
    WHEN e_does_not_exists THEN
      NULL;
  END;
  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/goal-copy.xml',
'<View submitLabel="{message.XXAS_RB_COM_SAVE}" showSubmit="true" title="CopyGoal"  formHelp="{message.XXAS_PERF_GOAL_COPY_DESC}" defaultFormHandler="xxas_goals_pkg.update_row_form_handler">
  <EditFields>
      <Hidden id="PERF_PLAN_ID"/>
      <Hidden id="PERSON_ID"/>
      <Hidden id="ASSIGNMENT_ID"/>
      <Hidden id="PERF_PLAN_ENROLLMENT_ID"/>
      <Poplist id="COPY_FROM" label="{message.XXAS_PERF_COPY_FROM}" required="true" listProvider="REST:goals/get-plans-copy-from/${field.ASSIGNMENT_ID}" refreshOnChange="true"/>
      <Combolist id="GOALS" label="{message.XXAS_PERF_GOAL_TO_COPY}" required="true" longlist="true" multipleSelection="true" style="tags" listProvider="REST:goals/get-goals-to-copy/${field.COPY_FROM}/${field.ASSIGNMENT_ID}"/>
      <Poplist id="COPY_TO" label="{message.XXAS_PERF_COPY_TO}" required="true" listProvider="REST:goals/get-plans-to-copy/${field.ASSIGNMENT_ID}?exceptPlan=${field.COPY_FROM}"/>
  </EditFields>
</View>
' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/goal-copy.xml');
END;
/
COMMIT;
EXIT;



	
